Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List agent providers

GET/workspaces/{organizationId}/agent/providers
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Agent provider configs (secrets redacted)

Array of object
agentIdstringrequired
hasTokenbooleanrequired
providerOrgIdstring | nullrequired
hasComputeApiKeybooleanrequired
computeApiUrlstring | nullrequired
computeSnapshotstring | nullrequired
computeVolumeIdstring | nullrequired
configobject | nullrequired
teamIdsstring[] | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/agent/providers' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
[
  {
    "agentId": "string",
    "hasToken": true,
    "providerOrgId": "string",
    "hasComputeApiKey": true,
    "computeApiUrl": "string",
    "computeSnapshot": "string",
    "computeVolumeId": "string",
    "config": {
      "property1": null,
      "property2": null
    },
    "teamIds": [
      "string"
    ],
    "createdAt": "string",
    "updatedAt": "string"
  }
]

Was this page helpful?